#!/bin/sh
#

SRCS="\
	locale/C-collate.c \
	locale/C-ctype.c \
	locale/C-messages.c \
	locale/C-monetary.c \
	locale/C-numeric.c \
	locale/C-time.c \
	locale/C_name.c \
	sysdeps/i386/__longjmp.S \
	sysdeps/i386/add_n.S \
	sysdeps/i386/addmul_1.S \
	stdlib/atof.c \
	stdlib/atoi.c \
	stdlib/atol.c \
	stdlib/atoll.c \
	stdlib/bsearch.c \
	wcsmbs-utf/btowc.c \
	sysdeps/generic/cmp.c \
	ctype/ctype-info.c \
	ctype/ctype.c \
	stdlib/fpioconst.c \
	stdlib/labs.c \
	locale/lc-collate.c \
	locale/lc-ctype.c \
	locale/lc-messages.c \
	locale/lc-monetary.c \
	locale/lc-numeric.c \
	locale/lc-time.c \
	sysdeps/generic/ldiv.c \
	sysdeps/generic/longjmp.c \
	sysdeps/i386/i586/lshift.S \
	sysdeps/i386/memchr.S \
	sysdeps/i386/memcmp.S \
	sysdeps/generic/memmove.c \
	sysdeps/ieee754/mpn2dbl.c \
	stdlib/msort.c \
	sysdeps/generic/mul.c \
	sysdeps/i386/i586/mul_1.S \
	sysdeps/generic/mul_n.c \
	stdlib/qsort.c \
	stdlib/rand.c \
	stdlib/random.c \
	stdlib/random_r.c \
	sysdeps/i386/i586/rshift.S \
	sysdeps/libm-i387/s_ceil.S \
	sysdeps/libm-i387/s_floor.S \
	sysdeps/i386/elf/setjmp.S \
	sysdeps/generic/sigjmp.c \
	sysdeps/generic/sigprocmask.c \
	sysdeps/generic/strcasecmp.c \
	sysdeps/i386/i486/strcat.S \
	sysdeps/i386/i586/strchr.S \
	sysdeps/generic/strcmp.c \
	sysdeps/i386/i586/strcpy.S \
	sysdeps/i386/strcspn.S \
	string/strdup.c \
	sysdeps/i386/i586/strlen.S \
	sysdeps/generic/strncat.c \
	sysdeps/generic/strncmp.c \
	sysdeps/generic/strncpy.c \
	sysdeps/i386/strpbrk.S \
	sysdeps/i386/strrchr.S \
	sysdeps/i386/strspn.S \
	sysdeps/generic/strstr.c \
	stdlib/strtod.c \
	stdlib/strtol.c \
	stdlib/strtoll.c \
	stdlib/strtoul.c \
	stdlib/strtoull.c \
	sysdeps/i386/i586/sub_n.S \
	sysdeps/i386/i586/submul_1.S \
	sysdeps/beos/time.c"

COPTS="-O1 -fno-pic -finline -fexceptions -D_LIBC_REENTRANT -DGAS_SYNTAX -D_X86_ -include include/libc-symbols.h"
CINCS="-I- -Isysdeps/beos -Iinclude -I. -Isysdeps/ieee754 -Isysdeps/i386 -Isysdeps/generic -Isysdeps/libm-387 -Isysdeps/ieee754 -Imath -Ilocale -Istdlib"

rm -f *.o

for f in $SRCS; 
do
	echo Building $f;
	gcc -c $CINCS $COPTS $f
done

rm -f /tmp/*.o
mv *.o /tmp
sync

